AnsweredAssumed Answered

2.1.1 Upgrade Error

Question asked by mjk5000 on Feb 9, 2018
Latest reply on Mar 2, 2018 by sean_jones-esristaff

I upgraded to ArcGIS Pro 2.1.1 and all of a sudden i was getting this error whenever i tried to set an inspectors attribute

 

"This method or property must be called on the thread this object was created on"

 

I had never wrapped my inspector in queuedtask before this upgrade, but now am i required to with the upgrade from 2.0.8933 to 2.1.1?  Will this affect my users running the 2.0.8933 version of ArcGIS Pro?

 

QueuedTask.Run(() =>
{
       inInspector[fieldName] = newValue;
});

Outcomes